module ArgsSanitizer
  # Series

  def sanitize_series_args(args)
    if args.count != 2
      Media::Printer.output ['Wrong number of arguments.',
                             'Correct usage: media-runner series SERIES_FOLDER_NAME EPISODE_NUMBER']
      exit 1
    else
      { series: args[0], title: args[1] }
    end
  end

  # Movies

  def sanitize_movie_args(args)
    if args.count != 1
      Media::Printer.output ['Wrong number of arguments.', 'Correct usage: media-runner movie MOVIE_NAME']
      exit 1
    else
      { title: args[0] }
    end
  end
end
