module FileCheck
  # Series

  def series_exists?(episode)
    if File.directory? series_path(episode)
      true
    else
      false
    end
  end

  def episode_exists?(episode)
    [:mkv, :mp4, :avi].each do |format|
      episode.format = format
      return true if File.file? episode_path(episode)
    end
    false
  end

  # Movies

  def movie_exists?(movie)
    [:mkv, :mp4, :avi].each do |format|
      movie.format = format
      return true if File.file? movie_path(movie)
    end
    false
  end
end
