module VlcCheck
  def vlc_installed?
    install_vlc unless File.file? "#{Dir.home}/Applications/VLC.app/Contents/MacOS/VLC"
  end

  def install_vlc
    Media::Printer.output ['VLC media player is not installed on your system. Make sure you have homebrew and \
                            brew-cask installed, and then run the following command:',
                           'brew cask install vlc']
    exit 1
  end
end
